org.jbpm.services.api.model

## Interface ProcessDefinition

- All Superinterfaces:
    DeployedAsset, Serializable
  All Known Implementing Classes:
    ProcessAssetDesc

      public interface ProcessDefinition
      extends Serializable, DeployedAsset

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Collection<String>>` | `getAssociatedEntities()` Returns process definition assoaciated entries.
    `String` | `getDeploymentId()` Return the process definition deployment id.
    `Collection<String>` | `getGlobals()` Returns process definition globals.
    `String` | `getId()` Return the process definition id.
    `String` | `getName()` Return the process definition name.
    `Set<NodeDesc>` | `getNodes()` Returns process definition nodes.
    `String` | `getPackageName()` Return the process definition package name.
    `Map<String,String>` | `getProcessVariables()` Returns process definition process variables.
    `Collection<String>` | `getReferencedRules()` Returns process definition referenced rules.
    `Collection<String>` | `getReusableSubProcesses()` Returns process definition reusable subprocesses.
    `Map<String,String>` | `getServiceTasks()` Returns process definition service tasks
    `Collection<String>` | `getSignals()` Returns process definition signals.
    `Set<TimerDesc>` | `getTimers()` Returns process definition timers.
    `String` | `getType()` Return the process definition type.
    `String` | `getVersion()` Return the process definition version.
    `boolean` | `isActive()` Returns if process definition is active.
    `boolean` | `isDynamic()` Return if process definition is dynamic.

    - ### Methods inherited from interface org.jbpm.services.api.model.DeployedAsset

      `getKnowledgeType, getOriginalPath`

- - ### Method Detail

    - #### getId

          String getId()

      Return the process definition id.
      Specified by:
        `getId` in interface `DeployedAsset`
      Returns:
        id

    - #### getName

          String getName()

      Return the process definition name.
      Specified by:
        `getName` in interface `DeployedAsset`
      Returns:
        name

    - #### getVersion

          String getVersion()

      Return the process definition version.
      Specified by:
        `getVersion` in interface `DeployedAsset`
      Returns:
        version

    - #### getPackageName

          String getPackageName()

      Return the process definition package name.
      Returns:
        package nem

    - #### getType

          String getType()

      Return the process definition type.
      Returns:
        type

    - #### getDeploymentId

          String getDeploymentId()

      Return the process definition deployment id.
      Returns:
        deployment id

    - #### isDynamic

          boolean isDynamic()

      Return if process definition is dynamic.
      Returns:
        dynamic

    - #### getAssociatedEntities

          Map<String,Collection<String>> getAssociatedEntities()

      Returns process definition assoaciated entries.
      Returns:
        associated entries

    - #### getServiceTasks

          Map<String,String> getServiceTasks()

      Returns process definition service tasks
      Returns:
        service tasks

    - #### getProcessVariables

          Map<String,String> getProcessVariables()

      Returns process definition process variables.
      Returns:
        process variables

    - #### getReusableSubProcesses

          Collection<String> getReusableSubProcesses()

      Returns process definition reusable subprocesses.
      Returns:
        reusable subprocesses

    - #### getSignals

          Collection<String> getSignals()

      Returns process definition signals.
      Returns:
        signals

    - #### getGlobals

          Collection<String> getGlobals()

      Returns process definition globals.
      Returns:
        globals

    - #### getReferencedRules

          Collection<String> getReferencedRules()

      Returns process definition referenced rules.
      Returns:
        referenced rules

    - #### isActive

          boolean isActive()

      Returns if process definition is active.
      Returns:
        signals

    - #### getNodes

          Set<NodeDesc> getNodes()

      Returns process definition nodes.
      Returns:
        @`NodeDesc` nodes

    - #### getTimers

          Set<TimerDesc> getTimers()

      Returns process definition timers.
      Returns:
        @`TimerDesc` timers

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.